#!/usr/bin/env python3
# Eryn Wells <eryn@erynwells.me>

'''
Upload a static asset to a server.
'''

import argparse
import subprocess

def parse_args(argv, *a, **kw):
    parser = argparse.ArgumentParser(*a, **kw)
    parser.add_argument('file', metavar='FILE', nargs='+')
    parser.add_argument('destination', metavar='DEST')
    args = parser.parse_args(argv)
    return args

def main(argv):
    args = parse_args(argv[1:], prog=argv[0])

    

if __name__ == '__main__':
    import sys
    result = main(sys.argv)
    sys.exit(0 if not result else result)
